{*******************************************************************************************************************
* :  KUAW Soft                                                                                         *
*  : 24.04.2002                                                                                        *
*  : 22.05.2002                                                                                  *
* :        kaCtrls                                     *
* [TO DO]                                                                                                          *
* [BUGS]                                                                                                           *
* [IDEAS]                                                                                                          *
*******************************************************************************************************************}

unit DemoFM;

interface

uses
{ }
 Classes, Controls, StdCtrls, ComCtrls, Forms, Dialogs,
{  kaCtrls} 
 kaTypes, kaStyle, kaControls, kaStdCtrls, kaExtCtrls, kaRouteMap;

type
 TfmDemo = class(TForm)
  pcDemoPages: TPageControl;
   TabSheet1: TTabSheet;
    kaBevel1: TkaBevel;
    kaBevel2: TkaBevel;
    kaBevel3: TkaBevel;
    kaBevel4: TkaBevel;
    kaBevel5: TkaBevel;
    kaBevel6: TkaBevel;
    kaBevel7: TkaBevel;
    kaBevel8: TkaBevel;
    kaBevel9: TkaBevel;
    kaBevel10: TkaBevel;
    kaBevel11: TkaBevel;
    kaBevel12: TkaBevel;
    lblBevelDsc: TkaLabel;
   TabSheet2: TTabSheet;
    kaLabel1: TkaLabel;
    kaLabel2: TkaLabel;
    kaLabel3: TkaLabel;
    kaLabel4: TkaLabel;
    kaLabel5: TkaLabel;
    kaLabel6: TkaLabel;
    kaLabel9: TkaLabel;
    Edit1: TEdit;
    lblLabelDsc: TkaLabel;
   TabSheet3: TTabSheet;
    kaPanel1: TkaPanel;
    kaPanel2: TkaPanel;
    kaPanel3: TkaPanel;
    kaPanel4: TkaPanel;
    kaPanel5: TkaPanel;
    kaPanel7: TkaPanel;
    lblPanelDsc: TkaLabel;
   TabSheet4: TTabSheet;
    kaGroupBox1: TkaGroupBox;
    kaGroupBox2: TkaGroupBox;
    kaGroupBox3: TkaGroupBox;
    kaGroupBox4: TkaGroupBox;
    lblGroupBoxDsc: TkaLabel;
   TabSheet5: TTabSheet;
    kaCheckBox1: TkaCheckBox;
    kaCheckBox2: TkaCheckBox;
    kaCheckBox3: TkaCheckBox;
    kaCheckBox4: TkaCheckBox;
    kaCheckBox5: TkaCheckBox;
    kaCheckBox6: TkaCheckBox;
    lblCheckBoxDsc: TkaLabel;
   TabSheet6: TTabSheet;
    kaCheckGroup1: TkaCheckGroup;
    kaCheckGroup2: TkaCheckGroup;
    lblCheckGroupDsc: TkaLabel;
   TabSheet7: TTabSheet;
    kaRouteMap1: TkaRouteMap;
    lblRouteMapDsc: TkaLabel;
   TabSheet8: TTabSheet;
    kaStyleController1: TkaStyleController;
    lblStyleControllerDsc: TkaLabel;
   TabSheet9: TTabSheet;
    lblAbout: TkaLabel;
    kaCheckBox7: TkaCheckBox;
    Button1: TButton;
    Button2: TButton;
    kaCheckGroup3: TkaCheckGroup;
    FontDialog1: TFontDialog;
    ColorDialog1: TColorDialog;
    kaLabel7: TkaLabel;
    kaCheckBox8: TkaCheckBox;
    Button3: TButton;
    Button4: TButton;
    ComboBox1: TComboBox;
    kaLabel8: TkaLabel;
    kaPanel6: TkaPanel;
  procedure FormCreate(Sender: TObject);
  procedure Edit1Change(Sender: TObject);
  procedure kaCheckGroup1Change(Sender: TObject; ItemIndex: Integer);
  procedure Button1Click(Sender: TObject);
  procedure Button2Click(Sender: TObject);
  procedure ComboBox1Change(Sender: TObject);
  procedure Button3Click(Sender: TObject);
  procedure Button4Click(Sender: TObject);
 private
 public
 end;

var
 fmDemo: TfmDemo;

implementation

{$R *.DFM}

procedure TfmDemo.FormCreate(Sender: TObject);
begin
 pcDemoPages.ActivePageIndex := 0;
 ComboBox1.ItemIndex := 0;
 ComboBox1Change(nil);
end;

procedure TfmDemo.Edit1Change(Sender: TObject);
begin
 kaLabel5.Caption := Edit1.Text;
end;

procedure TfmDemo.kaCheckGroup1Change(Sender: TObject; ItemIndex: Integer);
begin
 if (ItemIndex = 1) then
  begin
   kaCheckGroup1.ItemEnabled[2] := kaCheckGroup1.Checked[1];
   kaCheckGroup1.ItemEnabled[3] := kaCheckGroup1.Checked[1];
  end;
end;

procedure TfmDemo.Button1Click(Sender: TObject);
begin
 kaRouteMap1.ActivateNext;
end;

procedure TfmDemo.Button2Click(Sender: TObject);
begin
 kaRouteMap1.ActivatePrev;
end;

procedure TfmDemo.ComboBox1Change(Sender: TObject);
begin
 kaStyleController1.Style.BorderStyle.Style := TkaFrameStyle(ComboBox1.ItemIndex);
end;

procedure TfmDemo.Button3Click(Sender: TObject);
begin
 if (FontDialog1.Execute) then kaStyleController1.Style.Font := FontDialog1.Font;
end;

procedure TfmDemo.Button4Click(Sender: TObject);
begin
 if (ColorDialog1.Execute) then kaStyleController1.Style.Color := ColorDialog1.Color;
end;

end.
